Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete a smart listing

Deletes a smart listing by its ID

DELETE/api/v1/{team_slug}/{app_slug}/smart-listings/{listing_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

listing_idstringrequired

id for the smart-listing to delete

Request body
requiredapplication/json

smart-listing configuration

rulesinternal_pkg_webserver_v1.ListingRuleRequest[]required
Show properties
Array of internal_pkg_webserver_v1.ListingRuleRequest
operatorgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ListingRuleOperatorrequired
Allowed:equalnot-equalgreater-thanless-thancontains
targetgithub_com_enadhq_nabbit_internal_pkg_webserver_models.ListingRuleTargetrequired
Allowed:stockpriceattributetitlecategory
target_idstring

used for warehouse stock validation

value_floatnumber
value_liststring[]
value_stringstring
slugstringrequired
Responses
200

smart-listing deleted successfully

datastringrequired
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Could not find smart-listing to delete

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/smart-listings/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "rules": [
    {
      "operator": "equal",
      "target": "stock",
      "target_id": "string",
      "value_float": 0,
      "value_list": [
        "string"
      ],
      "value_string": "string"
    }
  ],
  "slug": "string"
}'
Response
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}